<?php namespace Site21\ShopaholicPopularOffers\Components;

use Cms\Classes\ComponentBase;
use Lovata\Shopaholic\Classes\Item\OfferItem;
use Event;
use Lovata\Shopaholic\Classes\Collection\ProductCollection;

class ShopaholicPopularOffer extends ComponentBase
{
    public function componentDetails()
    {
        return [
            'name'        => 'Shopaholic Popular Offer Component',
            'description' => 'No description provided yet...'
        ];
    }

	public function defineProperties()
	{
	    return [
	        'maxItems' => [
	             'title'             => 'Количество товаров',
	             'description'       => 'Сколько товаров вывести?',
	             'default'           => 4,
	             'type'              => 'string',
	             'validationPattern' => '^[0-9]+$',
	             'validationMessage' => 'Свойство может содержать только числовые символы'
	        ]
	    ];
	}
    
	function onAddToCart()
	{
		$offer = OfferItem::make(post('id'));
		$product = $offer->product;
		Event::fire('site21.shopaholicpopularoffers.productAddToCart', [$product->id]);
	}
	
    public function get()
    {
        $obProductList = ProductCollection::make()->sort('popularity|desc')->take($this->property('maxItems'));
        return $obProductList;
    }
}
